[rspec-users] "Cucumber database is not configured" error

Val vagostino at gmail.com
Tue Jul 21 14:00:44 EDT 2009


Hi,

Hoping someone can help me out here.  Whenever I try to run cucumber
features I keep getting an error that "cucumber database is not
configured".  Stack trace is below.

Here's some background info:
* I can successfully run all features on a different computer.  This
error is being generated on my laptop (same code base via git), so I
suspect that it's a gem/configuration problem and not a problem with
my project code.
* Using cucumber 0.3.11, rspec 1.2.7
* Have removed and reinstalled all rspec/cucumber gems and
dependencies following wiki instructions multiple times, with no
remedy
* Can run full rspec suite fine
* Have dropped and recreated test database

I've googled around and not found anything referencing this error, so
hope someone can help me track it down.

Thanks!
Val

cucumber database is not configured
(ActiveRecord::AdapterNotSpecified)
/usr/local/src/thrivebaby/vendor/rails/activerecord/lib/active_record/
connection_adapters/abstract/connection_specification.rb:62:in
`establish_connection'
/usr/local/src/thrivebaby/vendor/rails/activerecord/lib/active_record/
connection_adapters/abstract/connection_specification.rb:55:in
`establish_connection'
/usr/local/src/thrivebaby/config/../vendor/rails/railties/lib/
initializer.rb:417:in `initialize_database'
/usr/local/src/thrivebaby/config/../vendor/rails/railties/lib/
initializer.rb:141:in `process'
/usr/local/src/thrivebaby/config/../vendor/rails/railties/lib/
initializer.rb:113:in `send'
/usr/local/src/thrivebaby/config/../vendor/rails/railties/lib/
initializer.rb:113:in `run'
/usr/local/src/thrivebaby/config/environment.rb:10
/Library/Ruby/Site/1.8/rubygems/custom_require.rb:31:in
`gem_original_require'
/Library/Ruby/Site/1.8/rubygems/custom_require.rb:31:in
`polyglot_original_require'
/Library/Ruby/Gems/1.8/gems/polyglot-0.2.6/lib/polyglot.rb:55:in
`require'
./features/support/env.rb:3
/Library/Ruby/Site/1.8/rubygems/custom_require.rb:31:in
`gem_original_require'
/Library/Ruby/Site/1.8/rubygems/custom_require.rb:31:in
`polyglot_original_require'
/Library/Ruby/Gems/1.8/gems/polyglot-0.2.6/lib/polyglot.rb:55:in
`require'
/Library/Ruby/Gems/1.8/gems/cucumber-0.3.11/bin/../lib/cucumber/cli/
main.rb:95:in `require_files'
/Library/Ruby/Gems/1.8/gems/cucumber-0.3.11/bin/../lib/cucumber/cli/
main.rb:104:in `each_lib'
/Library/Ruby/Gems/1.8/gems/cucumber-0.3.11/bin/../lib/cucumber/cli/
main.rb:102:in `each'
/Library/Ruby/Gems/1.8/gems/cucumber-0.3.11/bin/../lib/cucumber/cli/
main.rb:102:in `each_lib'
/Library/Ruby/Gems/1.8/gems/cucumber-0.3.11/bin/../lib/cucumber/cli/
main.rb:95:in `require_files'
/Library/Ruby/Gems/1.8/gems/cucumber-0.3.11/bin/../lib/cucumber/cli/
main.rb:47:in `execute!'
/Library/Ruby/Gems/1.8/gems/cucumber-0.3.11/bin/../lib/cucumber/cli/
main.rb:25:in `execute'
/Library/Ruby/Gems/1.8/gems/cucumber-0.3.11/bin/cucumber:9
/usr/bin/cucumber:19:in `load'
/usr/bin/cucumber:19



More information about the rspec-users mailing list